---
title: "Get Tweet Retweeters List - API Reference"
description: "Twitter retweeters API: retrieve every user who retweeted a given tweet. Flat-rate $0.0002 per user profile, flexible rate limits, no subscriptions."
source: "https://docs.socialdata.tools/reference/get-tweet-retweeters/"
---

This endpoint returns an array of user profiles that retweeted the target tweet identified by `tweet_id`. The profiles are returned in reverse chronological order, with the most recent retweets appearing on the first page.

GET https://api.socialdata.tools/twitter/tweets/{tweet\_id}/retweeted\_by?cursor={cursor}

## Headers

**Authorization** `string` — required

Authorization Bearer header containing your SocialData API key

Example: Bearer YOUR\_API\_KEY

## Path Parameters

**tweet\_id** `integer` — required

The numerical ID of the desired tweet

Example: 1729591119699124560

## Query Parameters

**cursor** `string` — optional

Cursor value obtained from next\_cursor response property. Omit this value to retrieve the first page

Example: HBbS87H7icrezjEAAA==

> **Caution**
> 
> When using languages where the `tweet_id` value exceeds the default Integer type limit (e.g., JavaScript), you should store `tweet_id` as a String. Use the `id_str` property returned by the API for these values

## Code Examples

#### curl

```shellscript
curl "https://api.socialdata.tools/twitter/tweets/1625802236571033602/retweeted_by" \
    -H 'Authorization: Bearer API_KEY' \
    -H 'Accept: application/json'
```

#### JavaScript

```js
const tweetId = '1625802236571033602';
const API_KEY = 'YOUR_API_KEY_HERE';

fetch(`https://api.socialdata.tools/twitter/tweets/${tweetId}/retweeted_by`, {
    method: 'GET',
    headers: {
        'Authorization': `Bearer ${API_KEY}`,
        'Accept': 'application/json'
    }
})
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));
```

#### Python

```python
import requests

tweetId = '1625802236571033602'
API_KEY = 'YOUR_API_KEY_HERE'

url = f'https://api.socialdata.tools/twitter/tweets/{tweetId}/retweeted_by'

headers = {
    'Authorization': f'Bearer {API_KEY}',
    'Accept': 'application/json'
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    data = response.json()
    print(data)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

#### PHP

```php
$tweetId = '1625802236571033602';
$API_KEY = 'YOUR_API_KEY_HERE';

$url = "https://api.socialdata.tools/twitter/tweets/{$tweetId}/retweeted_by";

$ch = curl_init();

curl_setopt_array($ch, [
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        "Authorization: Bearer $API_KEY",
        "Accept: application/json"
    ]
]);

$response = curl_exec($ch);
$data = json_decode($response, true);
print_r($data);

curl_close($ch);
```

## Example Responses

#### 200

```json
{
    "next_cursor": "HBbS87H7icrezjEAAA==",
    "users": [
        {
            "id": 1547124452596523008,
            "id_str": "1547124452596523008",
            "name": "Gwendal Brossard",
            "screen_name": "GwendalBrossard",
            "location": "Building",
            "url": "https:\/\/t.co\/6o4TTYu7LQ",
            "description": "I'm an indie maker building products \ud83d\udc68\u200d\ud83d\udcbb @PaletteBrain\u2506https:\/\/t.co\/BEadk6UDlz \u2728",
            "protected": false,
            "verified": false,
            "followers_count": 3557,
            "friends_count": 149,
            "listed_count": 41,
            "favourites_count": 12425,
            "statuses_count": 6778,
            "created_at": "2022-07-13T07:43:56.000000Z",
            "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/1547124452596523008\/1672736091",
            "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1572151372455313409\/qq1yH56d_normal.jpg",
            "can_dm": true
        },
        // ...
    ]
}
```

#### 402

```json
{
    "status": "error",
    "message": "Insufficient balance"
}
```

#### 404

```json
{
    "status": "error",
    "message": "Tweet not found"
}
```

#### 500

```json
{
    "status": "error",
    "message": "Failed to fetch data from Twitter"
}
```

## Response Codes

-   **200 OK** - request succeeded
-   **402 Payment Required** - not enough credits to perform this request
-   **404 Not Found** - requested tweet does not exist
-   **422 Unprocessable Content** - validation failed (e.g. one of the required parameters was not provided)
-   **500 Internal Error** - API internal error, typically means that SocialData API failed to obtain the requested information and you should try again later

## Related endpoints

-   [Get tweet comments](https://docs.socialdata.tools/reference/get-tweet-comments/)
-   [Get tweet quotes](https://docs.socialdata.tools/reference/get-tweet-quotes/)
-   [Verify user retweeted](https://docs.socialdata.tools/social-actions/verify-user-retweeted/)
-   [Verify user commented](https://docs.socialdata.tools/social-actions/verify-user-commented/)

## Before you integrate

-   [Authentication](https://docs.socialdata.tools/getting-started/authentication/)
-   [Rate limits](https://docs.socialdata.tools/getting-started/rate-limits/)
-   [Errors](https://docs.socialdata.tools/getting-started/errors/)
-   [Pricing](https://docs.socialdata.tools/getting-started/pricing/)
